Bug 1644208 - Dependency issue while installing katello-agent on RHEL6 and RHEL5
Summary: Dependency issue while installing katello-agent on RHEL6 and RHEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Patrick Creech
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 09:09 UTC by Nikhil Kathole
Modified: 2019-10-07 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:34 UTC

Description Nikhil Kathole 2018-10-30 09:09:42 UTC
Description of problem:
Trying to install katello-agent on RHEL6 and RHEL5 gives dependency issue due to old gofer package

 
# yum install katello-agent
Loaded plugins: product-id, search-disabled-repos, security, subscription-manager
Setting up Install Process
Default_Organization_Sat6Tools6_sat6tool6                                                                | 2.5 kB     00:00     
rhel-6-server-rpms                                                                                       | 2.4 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package katello-agent.noarch 0:3.3.6-1.el6sat will be installed
--> Processing Dependency: gofer < 2.12 for package: katello-agent-3.3.6-1.el6sat.noarch
--> Processing Dependency: python-pulp-agent-lib >= 2.6 for package: katello-agent-3.3.6-1.el6sat.noarch
--> Processing Dependency: python-gofer-proton >= 2.5 for package: katello-agent-3.3.6-1.el6sat.noarch
--> Processing Dependency: pulp-rpm-handlers >= 2.6 for package: katello-agent-3.3.6-1.el6sat.noarch
--> Processing Dependency: gofer >= 2.11.5 for package: katello-agent-3.3.6-1.el6sat.noarch
--> Processing Dependency: katello-host-tools for package: katello-agent-3.3.6-1.el6sat.noarch
--> Running transaction check
---> Package gofer.noarch 0:2.7.8-1.el6sat will be installed
--> Processing Dependency: python-gofer = 2.7.8 for package: gofer-2.7.8-1.el6sat.noarch
---> Package katello-agent.noarch 0:3.3.6-1.el6sat will be installed
--> Processing Dependency: gofer >= 2.11.5 for package: katello-agent-3.3.6-1.el6sat.noarch
---> Package katello-host-tools.noarch 0:3.3.6-1.el6sat will be installed
--> Processing Dependency: katello-host-tools-fact-plugin for package: katello-host-tools-3.3.6-1.el6sat.noarch
---> Package pulp-rpm-handlers.noarch 0:2.17.1-2.el6sat will be installed
--> Processing Dependency: python-pulp-rpm-common < 2.17.2 for package: pulp-rpm-handlers-2.17.1-2.el6sat.noarch
--> Processing Dependency: python-pulp-rpm-common >= 2.17.1 for package: pulp-rpm-handlers-2.17.1-2.el6sat.noarch
---> Package python-gofer-proton.noarch 0:2.7.8-1.el6sat will be installed
--> Processing Dependency: python-qpid-proton >= 0.9-5 for package: python-gofer-proton-2.7.8-1.el6sat.noarch
---> Package python-pulp-agent-lib.noarch 0:2.17.1-1.el6sat will be installed
--> Processing Dependency: python-pulp-common = 2.17.1 for package: python-pulp-agent-lib-2.17.1-1.el6sat.noarch
--> Running transaction check
---> Package katello-agent.noarch 0:3.3.6-1.el6sat will be installed
--> Processing Dependency: gofer >= 2.11.5 for package: katello-agent-3.3.6-1.el6sat.noarch
---> Package katello-host-tools-fact-plugin.noarch 0:3.3.6-1.el6sat will be installed
---> Package python-gofer.noarch 0:2.7.8-1.el6sat will be installed
---> Package python-pulp-common.noarch 0:2.17.1-1.el6sat will be installed
--> Processing Dependency: python-isodate >= 0.5.0-1.pulp for package: python-pulp-common-2.17.1-1.el6sat.noarch
---> Package python-pulp-rpm-common.noarch 0:2.17.1-2.el6sat will be installed
---> Package python-qpid-proton.x86_64 0:0.16.0-12.el6sat will be installed
--> Processing Dependency: qpid-proton-c(x86-64) = 0.16.0-12.el6sat for package: python-qpid-proton-0.16.0-12.el6sat.x86_64
--> Processing Dependency: libqpid-proton.so.10()(64bit) for package: python-qpid-proton-0.16.0-12.el6sat.x86_64
--> Running transaction check
---> Package katello-agent.noarch 0:3.3.6-1.el6sat will be installed
--> Processing Dependency: gofer >= 2.11.5 for package: katello-agent-3.3.6-1.el6sat.noarch
---> Package python-isodate.noarch 0:0.5.0-4.el6sat will be installed
---> Package qpid-proton-c.x86_64 0:0.16.0-12.el6sat will be installed
--> Finished Dependency Resolution
Error: Package: katello-agent-3.3.6-1.el6sat.noarch (Default_Organization_Sat6Tools6_sat6tool6)
           Requires: gofer >= 2.11.5
           Installing: gofer-2.7.8-1.el6sat.noarch (Default_Organization_Sat6Tools6_sat6tool6)
               gofer = 2.7.8-1.el6sat
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable): Satellite 6.5.0 snap 1


How reproducible: always


Steps to Reproduce:
1. Register client to satellite 6.5 
2. yum install katello-agent

Actual results:

Installation failed due to missing dependency. 


Expected results:
Successful installation.


Additional info:
For rhel 5

katello-agent-3.3.6-1.el5.noarch from tool has depsolving problems
  --> Missing Dependency: gofer >= 2.11.5 is needed by package katello-agent-3.3.6-1.el5.noarch (tool)
Error: Missing Dependency: gofer >= 2.11.5 is needed by package katello-agent-3.3.6-1.el5.noarch (tool)

Comment 7 Patrick Creech 2018-10-30 18:19:05 UTC
It looks like the repos we generated for rhel 5 and rhel 6 did not have inheritance properly set up, therefore making the latest dependencies 'disappear' from them.

This has been resolved, and should start showing up with the next snap

Comment 8 Patrick Creech 2018-10-31 13:46:06 UTC
Gofer 2.11 has started showing up in rhel 5 and rhel 6 compose repos

Comment 9 Nikhil Kathole 2018-10-31 14:20:54 UTC
Hi Patrick,

Just curious, RHEL 7 has gofer-2.12.1-1.el7sat.noarch.rpm. Is 2.11 in rhel 5 and rhel 6 expected?

Thanks.

Comment 10 Patrick Creech 2018-10-31 14:27:20 UTC
Yes, it is.  I don't recall the specifics at the current moment, but we needed to do this because a certain piece of work in 2.12 didn't support older rhels.

Comment 11 Nikhil Kathole 2018-11-14 06:51:53 UTC
VERIFIED

Version tested:
Satellite 6.3 snap 3

# yum install katello-agent
Loaded plugins: product-id, security, subscription-manager
Default_Organization_Sat6Tools5_Sat6Tools5                                                                                 | 2.1 kB     00:00     
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package katello-agent.noarch 0:3.3.6-1.el5 set to be updated
--> Processing Dependency: gofer < 2.12 for package: katello-agent
--> Processing Dependency: python-pulp-agent-lib >= 2.6 for package: katello-agent
--> Processing Dependency: python-gofer-proton >= 2.5 for package: katello-agent
--> Processing Dependency: pulp-rpm-handlers >= 2.6 for package: katello-agent
--> Processing Dependency: gofer >= 2.11.5 for package: katello-agent
--> Processing Dependency: katello-host-tools for package: katello-agent
--> Running transaction check
---> Package gofer.noarch 0:2.11.9-1.el5 set to be updated
--> Processing Dependency: python-gofer = 2.11.9 for package: gofer
---> Package katello-host-tools.noarch 0:3.3.6-1.el5 set to be updated
--> Processing Dependency: katello-host-tools-fact-plugin for package: katello-host-tools
---> Package pulp-rpm-handlers.noarch 0:2.17.1-3.el5 set to be updated
--> Processing Dependency: python-pulp-rpm-common < 2.17.2 for package: pulp-rpm-handlers
--> Processing Dependency: python-pulp-rpm-common >= 2.17.1 for package: pulp-rpm-handlers
---> Package python-gofer-proton.noarch 0:2.11.9-1.el5 set to be updated
--> Processing Dependency: python-qpid-proton >= 0.9-5 for package: python-gofer-proton
---> Package python-pulp-agent-lib.noarch 0:2.17.1-1.el5 set to be updated
--> Processing Dependency: python-pulp-common = 2.17.1 for package: python-pulp-agent-lib
--> Running transaction check
---> Package katello-host-tools-fact-plugin.noarch 0:3.3.6-1.el5 set to be updated
---> Package python-gofer.noarch 0:2.11.9-1.el5 set to be updated
--> Processing Dependency: python-hashlib for package: python-gofer
--> Processing Dependency: python-ctypes for package: python-gofer
---> Package python-pulp-common.noarch 0:2.17.1-1.el5 set to be updated
--> Processing Dependency: python-isodate >= 0.5.0-1.pulp for package: python-pulp-common
---> Package python-pulp-rpm-common.noarch 0:2.17.1-3.el5 set to be updated
---> Package python-qpid-proton.x86_64 0:0.9-16.el5 set to be updated
--> Processing Dependency: qpid-proton-c = 0.9-16.el5 for package: python-qpid-proton
--> Processing Dependency: libqpid-proton.so.2()(64bit) for package: python-qpid-proton
--> Running transaction check
---> Package python-ctypes.x86_64 0:1.0.2-3.el5 set to be updated
---> Package python-hashlib.x86_64 0:20081119-7.el5sat set to be updated
---> Package python-isodate.noarch 0:0.5.0-4.pulp.el5 set to be updated
---> Package qpid-proton-c.x86_64 0:0.9-16.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================================================
 Package                                  Arch             Version                     Repository                                            Size
==================================================================================================================================================
Installing:
 katello-agent                            noarch           3.3.6-1.el5                 Default_Organization_Sat6Tools5_Sat6Tools5            21 k
Installing for dependencies:
 gofer                                    noarch           2.11.9-1.el5                Default_Organization_Sat6Tools5_Sat6Tools5            91 k
 katello-host-tools                       noarch           3.3.6-1.el5                 Default_Organization_Sat6Tools5_Sat6Tools5            31 k
 katello-host-tools-fact-plugin           noarch           3.3.6-1.el5                 Default_Organization_Sat6Tools5_Sat6Tools5            13 k
 pulp-rpm-handlers                        noarch           2.17.1-3.el5                Default_Organization_Sat6Tools5_Sat6Tools5            86 k
 python-ctypes                            x86_64           1.0.2-3.el5                 rhel5                                                210 k
 python-gofer                             noarch           2.11.9-1.el5                Default_Organization_Sat6Tools5_Sat6Tools5           173 k
 python-gofer-proton                      noarch           2.11.9-1.el5                Default_Organization_Sat6Tools5_Sat6Tools5            56 k
 python-hashlib                           x86_64           20081119-7.el5sat           Default_Organization_Sat6Tools5_Sat6Tools5            27 k
 python-isodate                           noarch           0.5.0-4.pulp.el5            Default_Organization_Sat6Tools5_Sat6Tools5            58 k
 python-pulp-agent-lib                    noarch           2.17.1-1.el5                Default_Organization_Sat6Tools5_Sat6Tools5            94 k
 python-pulp-common                       noarch           2.17.1-1.el5                Default_Organization_Sat6Tools5_Sat6Tools5           130 k
 python-pulp-rpm-common                   noarch           2.17.1-3.el5                Default_Organization_Sat6Tools5_Sat6Tools5            74 k
 python-qpid-proton                       x86_64           0.9-16.el5                  Default_Organization_Sat6Tools5_Sat6Tools5           773 k
 qpid-proton-c                            x86_64           0.9-16.el5                  Default_Organization_Sat6Tools5_Sat6Tools5           154 k

Transaction Summary
==================================================================================================================================================
Install      15 Package(s)
Upgrade       0 Package(s)

Total download size: 1.9 M
Is this ok [y/N]: y
Downloading Packages:
(1/15): katello-host-tools-fact-plugin-3.3.6-1.el5.noarch.rpm                                                              |  13 kB     00:00     
(2/15): katello-agent-3.3.6-1.el5.noarch.rpm                                                                               |  21 kB     00:00     
(3/15): python-hashlib-20081119-7.el5sat.x86_64.rpm                                                                        |  27 kB     00:00     
(4/15): katello-host-tools-3.3.6-1.el5.noarch.rpm                                                                          |  31 kB     00:00     
(5/15): python-gofer-proton-2.11.9-1.el5.noarch.rpm                                                                        |  56 kB     00:00     
(6/15): python-isodate-0.5.0-4.pulp.el5.noarch.rpm                                                                         |  58 kB     00:00     
(7/15): python-pulp-rpm-common-2.17.1-3.el5.noarch.rpm                                                                     |  74 kB     00:00     
(8/15): pulp-rpm-handlers-2.17.1-3.el5.noarch.rpm                                                                          |  86 kB     00:00     
(9/15): gofer-2.11.9-1.el5.noarch.rpm                                                                                      |  91 kB     00:00     
(10/15): python-pulp-agent-lib-2.17.1-1.el5.noarch.rpm                                                                     |  94 kB     00:00     
(11/15): python-pulp-common-2.17.1-1.el5.noarch.rpm                                                                        | 130 kB     00:00     
(12/15): qpid-proton-c-0.9-16.el5.x86_64.rpm                                                                               | 154 kB     00:00     
(13/15): python-gofer-2.11.9-1.el5.noarch.rpm                                                                              | 173 kB     00:00     
(14/15): python-ctypes-1.0.2-3.el5.x86_64.rpm                                                                              | 210 kB     00:00     
(15/15): python-qpid-proton-0.9-16.el5.x86_64.rpm                                                                          | 773 kB     00:00     
--------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                             310 kB/s | 1.9 MB     00:06     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : qpid-proton-c                                                                                                             1/15 
  Installing     : python-qpid-proton                                                                                                        2/15 
  Installing     : python-ctypes                                                                                                             3/15 
  Installing     : python-hashlib                                                                                                            4/15 
  Installing     : python-gofer                                                                                                              5/15 
  Installing     : gofer                                                                                                                     6/15 
  Installing     : python-gofer-proton                                                                                                       7/15 
  Installing     : python-isodate                                                                                                            8/15 
  Installing     : python-pulp-common                                                                                                        9/15 
  Installing     : python-pulp-agent-lib                                                                                                    10/15 
  Installing     : python-pulp-rpm-common                                                                                                   11/15 
  Installing     : pulp-rpm-handlers                                                                                                        12/15 
  Installing     : katello-host-tools-fact-plugin                                                                                           13/15 
  Installing     : katello-host-tools                                                                                                       14/15 
  Installing     : katello-agent                                                                                                            15/15 
Loaded plugins: product-id
rhel5/productid                                                                                                            | 1.7 kB     00:00     

Installed:
  katello-agent.noarch 0:3.3.6-1.el5                                                                                                              

Dependency Installed:
  gofer.noarch 0:2.11.9-1.el5                   katello-host-tools.noarch 0:3.3.6-1.el5     katello-host-tools-fact-plugin.noarch 0:3.3.6-1.el5  
  pulp-rpm-handlers.noarch 0:2.17.1-3.el5       python-ctypes.x86_64 0:1.0.2-3.el5          python-gofer.noarch 0:2.11.9-1.el5                   
  python-gofer-proton.noarch 0:2.11.9-1.el5     python-hashlib.x86_64 0:20081119-7.el5sat   python-isodate.noarch 0:0.5.0-4.pulp.el5             
  python-pulp-agent-lib.noarch 0:2.17.1-1.el5   python-pulp-common.noarch 0:2.17.1-1.el5    python-pulp-rpm-common.noarch 0:2.17.1-3.el5         
  python-qpid-proton.x86_64 0:0.9-16.el5        qpid-proton-c.x86_64 0:0.9-16.el5          

Complete!

Comment 12 Evgeni Golov 2018-11-14 09:23:39 UTC
(In reply to Nikhil Kathole from comment #11)
> VERIFIED
> 
> Version tested:
> Satellite 6.3 snap 3

I bet you meant 6.5 snap 3 ;)

Comment 13 Nikhil Kathole 2018-11-14 09:25:13 UTC
(In reply to Evgeni Golov from comment #12)
> (In reply to Nikhil Kathole from comment #11)
> > VERIFIED
> > 
> > Version tested:
> > Satellite 6.3 snap 3
> 
> I bet you meant 6.5 snap 3 ;)

Ahh right :)

its satellite 6.5 snap 3!

Comment 17 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.